Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

List Of Compatible Mods

mods ic2 buildcraft(newest version) too many items more mods

  • Please log in to reply
23 replies to this topic

#1

sniperslayer
  • Minecraft: sniperslayer

Posted 04 April 2012 - 11:22 PM

I'm going to start a minecraft youtube show.

In the show i am going to be using mods, and i can't seem to find enough compatible mods.

Can someone please help me?



Notice: Mods Must Be Compatible With All Of These Mods


Mod List

Industrial Craft2

Build Craft

Too Many Items

Rei's Minimap

Red Power2

Backpacks

Thirst Mod

Notice: If Any Of These Mods Above Or Below Are Not Compatible With Other Mods On The List Please Let Me Know So I May Change It.


Possible Mods

Simply Horses





If You Have An Idea Of What To Call My Show On Youtube Show Please Post Below.


Posted Image

Register or log in to remove.

#2

Vi3tB0yAA
  • Minecraft: Vi3tB0yAA

Posted 04 April 2012 - 11:47 PM

TMI and ModLoader and ModLoaderMP should be compatible with ALOT of mods
Edit1: Also my Nether Expansion mod and Coming Soon The Metalliferous Ores will be compatible with alot since it edits no base files BUT it uses a LOT of IDS so that might be 1 conflict
Posted Image

#3

zenyl
    zenyl

    Lapis Lazuli Collector

  • Members
  • 1075 posts
  • Location: On the internet
  • Minecraft: zenyl

Posted 04 April 2012 - 11:57 PM

My mod, Magiz Mod, should be compatible with any mod, as long as ModLoader is installed,
sniperslayer, you sent me ;P

Posted Image


#4

Retarded_Pig
  • Location: United Kingdom
  • Minecraft: Retarded__Pig
  • Xbox:sucks.

Posted 04 April 2012 - 11:59 PM

@ sniperslayer:
I'm sorry for being off topic but I really LOLL'D at your nooby signiature.

#5

Vi3tB0yAA
  • Minecraft: Vi3tB0yAA

Posted 05 April 2012 - 12:00 AM

View Postzenyl, on 04 April 2012 - 11:57 PM, said:

My mod, Magiz Mod, should be compatible with any mod, as long as ModLoader is installed,
sniperslayer, you sent me ;P

View Postzenyl, on 04 April 2012 - 11:57 PM, said:

My mod, Magiz Mod, should be compatible with any mod, as long as ModLoader is installed,
sniperslayer, you sent me ;P
There is NO way you can be compatible with EVERY mod. You can have Item/Block ID's conflict....
Posted Image

#6

FinalMinuet
  • Minecraft: FinalMinuet

Posted 05 April 2012 - 12:00 AM

What do you mean by "compatible mods?" Do you mean mods that are compatible with each other, or compatible with Minecraft 1.2.5? If you mean the former, then most mods using ModLoader will work (which seems to be most of them) and the ones that don't you'll just have to try them out and see. If you mean the latter, MCP was updated to 1.2.5 early so you should start seeing a lot of mods update within a day or two.

Either way, throwing in my FM DebugMod because why not.

View PostVi3tB0yAA, on 05 April 2012 - 12:00 AM, said:

There is NO way you can be compatible with EVERY mod. You can have Item/Block ID's conflict....
He did say "should" instead of "is" so...
FM DebugMod 1.2.5v1 - Fixes problems with F3 debugging graphs, restores entity labels, and strips down debug info (updated 2012-04-04)

#7

Vi3tB0yAA
  • Minecraft: Vi3tB0yAA

Posted 05 April 2012 - 12:11 AM

View PostFinalMinuet, on 05 April 2012 - 12:00 AM, said:

He did say "should" instead of "is" so...
Lol sorry. English isn't my first language and when I read I read FAST so I dont catch some stuff.
Posted Image

#8

MechSoldier
  • Location: Here
  • Minecraft: MechSoldier

Posted 05 April 2012 - 12:24 AM

Invasion mod? It's a great way to test builds to see how strong they are. Look it up

Posted Image


#9

zenyl
    zenyl

    Lapis Lazuli Collector

  • Members
  • 1075 posts
  • Location: On the internet
  • Minecraft: zenyl

Posted 05 April 2012 - 12:32 AM

View PostVi3tB0yAA, on 05 April 2012 - 12:00 AM, said:

There is NO way you can be compatible with EVERY mod. You can have Item/Block ID's conflict....

Okay, fine, every mod that uses the item id of 17000 is incompatible, but that should be the only possible compatability problem... Haven't edited a single base file, so there's nothing around that area, and it adds no blocks. Only Items, which all uses the same ItemId, and entities.

Posted Image


#10

sniperslayer
  • Minecraft: sniperslayer

Posted 05 April 2012 - 12:37 AM

View PostFinalMinuet, on 05 April 2012 - 12:00 AM, said:

What do you mean by "compatible mods?" Do you mean mods that are compatible with each other, or compatible with Minecraft 1.2.5? If you mean the former, then most mods using ModLoader will work (which seems to be most of them) and the ones that don't you'll just have to try them out and see. If you mean the latter, MCP was updated to 1.2.5 early so you should start seeing a lot of mods update within a day or two.

Either way, throwing in my FM DebugMod because why not.


He did say "should" instead of "is" so...
    


Yes i mean mods that are compatible with each other

View PostMechSoldier, on 05 April 2012 - 12:24 AM, said:

Invasion mod? It's a great way to test builds to see how strong they are. Look it up

Ok
Posted Image

#11

FinalMinuet
  • Minecraft: FinalMinuet

Posted 05 April 2012 - 01:31 AM

View Postsniperslayer, on 05 April 2012 - 12:37 AM, said:

Yes i mean mods that are compatible with each other
I'm not aware of any incompatibilities with my mod, since it only needs to modify one file and most mods don't touch the Minecraft.class file.
FM DebugMod 1.2.5v1 - Fixes problems with F3 debugging graphs, restores entity labels, and strips down debug info (updated 2012-04-04)

#12

captaincharisma

Posted 06 April 2012 - 04:14 AM

What about Teotoo's Mine Little Brony? http://www.minecraft...e-little-brony/

#13

sniperslayer
  • Minecraft: sniperslayer

Posted 07 April 2012 - 08:46 PM

View Postcaptaincharisma, on 06 April 2012 - 04:14 AM, said:

What about Teotoo's Mine Little Brony? http://www.minecraft...e-little-brony/

Do you know if this mod /\ is compatible with

Mod List

Industrial Craft2

Build Craft

Too Many Items

Zeppelin Mod

Flans Mods

Rei's Minimap

Red Power2


Posted Image

#14

Dragonfire_101

Posted 09 April 2012 - 11:03 PM

I Dont think zeppelin is updated and i tried buildcraft and industrial craft together didnt work
Posted Image

#15

sniperslayer
  • Minecraft: sniperslayer

Posted 12 April 2012 - 09:12 PM

View PostDragonfire_101, on 09 April 2012 - 11:03 PM, said:

I Dont think zeppelin is updated and i tried buildcraft and industrial craft together didnt work

Ok I'm waiting for a while to any way until my computer is fixed to start the vids, so they will probaly work together then.
Thanks for the info though.
Posted Image

#16

Vi3tB0yAA
  • Minecraft: Vi3tB0yAA

Posted 13 April 2012 - 02:40 PM

View Postsniperslayer, on 12 April 2012 - 09:12 PM, said:

Ok I'm waiting for a while to any way until my computer is fixed to start the vids, so they will probaly work together then.
Thanks for the info though.
You can always use the technic pack.
Posted Image

#17

FeellikeGlaDos
  • Minecraft: Itsfreename

Posted 13 April 2012 - 05:39 PM

View Postsniperslayer, on 07 April 2012 - 08:46 PM, said:

Do you know if this mod /\ is compatible with

Mod List

Industrial Craft2

Build Craft

Too Many Items

Zeppelin Mod

Flans Mods

Rei's Minimap

Red Power2

Did You tried Forestry (The last version is for 1.2.4) Posted Image?
EDIT: MAGIC! The mod has been updated for 1.2.5 (sorry for my inglish D:)
[URL=http://www.minecraftforum.net/topic/264712-]Posted Image[/URL]

#18

DerryFrosty98
  • Location: Derry, Ireland
  • Minecraft: DerryFrosty98

Posted 20 May 2012 - 10:31 AM

View PostVi3tB0yAA, on 05 April 2012 - 12:00 AM, said:

There is NO way you can be compatible with EVERY mod. You can have Item/Block ID's conflict....

it can be compatible with every mod if it uses Modloader as there is a string syntax that gets a unique block/item/entity id for everything coded using that syntax
If theres too many creepers, then you're too old!!! Which is why nobody dies from old age

#19

JohnSmith41
  • Location: Turn around...
  • Minecraft: JohnSmith41

Posted 21 May 2012 - 02:23 PM

View PostMechSoldier, on 05 April 2012 - 12:24 AM, said:

Invasion mod? It's a great way to test builds to see how strong they are. Look it up
it is no longer compatible with Minecraft Forge, which is what most, if not all the mods on the list use as a native API. would be a good idea if it were compatible, i loved that mod
Posted Image

#20

teken
    teken

    Redstone Miner

  • Members
  • 574 posts
  • Location: United Kingdom
  • Minecraft: giahnacnud
  • Xbox:TEKEN v2

Posted 21 May 2012 - 04:39 PM

i have two suggestions

XPBank
http://www.minecraft...40-its-now-smp/

KeySprint
http://www.minecraft...key-sprint-v27/
Posted Image